Linux: update to automake 1.16.1
[scilab.git] / scilab / modules / ui_data / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
19 # Copyright (C) DIGITEO - 2010 - Allan CORNET
20 #
21 # Copyright (C) 2012 - 2016 - Scilab Enterprises
22 #
23 # This file is hereby licensed under the terms of the GNU GPL v2.0,
24 # pursuant to article 5.3.4 of the CeCILL v.2.1.
25 # This file was originally licensed under the terms of the CeCILL v2.1,
26 # and continues to be available under such terms.
27 # For more information, see the COPYING file which you should have received
28 # along with this program.
29 #
30
31 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
32 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
33 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
34 #
35 # Copyright (C) 2012 - 2016 - Scilab Enterprises
36 #
37 # This file is hereby licensed under the terms of the GNU GPL v2.0,
38 # pursuant to article 5.3.4 of the CeCILL v.2.1.
39 # This file was originally licensed under the terms of the CeCILL v2.1,
40 # and continues to be available under such terms.
41 # For more information, see the COPYING file which you should have received
42 # along with this program.
43 #
44
45 ##########
46 ### Makefile included stuff
47 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
48 ##########
49
50
51 VPATH = @srcdir@
52 am__is_gnu_make = { \
53   if test -z '$(MAKELEVEL)'; then \
54     false; \
55   elif test -n '$(MAKE_HOST)'; then \
56     true; \
57   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
58     true; \
59   else \
60     false; \
61   fi; \
62 }
63 am__make_running_with_option = \
64   case $${target_option-} in \
65       ?) ;; \
66       *) echo "am__make_running_with_option: internal error: invalid" \
67               "target option '$${target_option-}' specified" >&2; \
68          exit 1;; \
69   esac; \
70   has_opt=no; \
71   sane_makeflags=$$MAKEFLAGS; \
72   if $(am__is_gnu_make); then \
73     sane_makeflags=$$MFLAGS; \
74   else \
75     case $$MAKEFLAGS in \
76       *\\[\ \   ]*) \
77         bs=\\; \
78         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
79           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
80     esac; \
81   fi; \
82   skip_next=no; \
83   strip_trailopt () \
84   { \
85     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
86   }; \
87   for flg in $$sane_makeflags; do \
88     test $$skip_next = yes && { skip_next=no; continue; }; \
89     case $$flg in \
90       *=*|--*) continue;; \
91         -*I) strip_trailopt 'I'; skip_next=yes;; \
92       -*I?*) strip_trailopt 'I';; \
93         -*O) strip_trailopt 'O'; skip_next=yes;; \
94       -*O?*) strip_trailopt 'O';; \
95         -*l) strip_trailopt 'l'; skip_next=yes;; \
96       -*l?*) strip_trailopt 'l';; \
97       -[dEDm]) skip_next=yes;; \
98       -[JT]) skip_next=yes;; \
99     esac; \
100     case $$flg in \
101       *$$target_option*) has_opt=yes; break;; \
102     esac; \
103   done; \
104   test $$has_opt = yes
105 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
106 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
107 pkgdatadir = $(datadir)/@PACKAGE@
108 pkgincludedir = $(includedir)/@PACKAGE@
109 pkglibdir = $(libdir)/@PACKAGE@
110 pkglibexecdir = $(libexecdir)/@PACKAGE@
111 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
112 install_sh_DATA = $(install_sh) -c -m 644
113 install_sh_PROGRAM = $(install_sh) -c
114 install_sh_SCRIPT = $(install_sh) -c
115 INSTALL_HEADER = $(INSTALL_DATA)
116 transform = $(program_transform_name)
117 NORMAL_INSTALL = :
118 PRE_INSTALL = :
119 POST_INSTALL = :
120 NORMAL_UNINSTALL = :
121 PRE_UNINSTALL = :
122 POST_UNINSTALL = :
123 build_triplet = @build@
124 host_triplet = @host@
125 @GIWS_TRUE@am__append_1 = giws
126 @SWIG_TRUE@am__append_2 = swig
127 @GUI_TRUE@am__append_3 = libsciui_data.la
128 @NEED_JAVA_TRUE@am__append_4 = java
129 subdir = modules/ui_data
130 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
131 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
132         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
133         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
134         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
135         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
136         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
137         $(top_srcdir)/m4/intel_compiler.m4 \
138         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
139         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
140         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
141         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
142         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
143         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
144         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
145         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
146         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
147         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
148         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
149 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
150         $(ACLOCAL_M4)
151 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
152 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
153 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
154 CONFIG_CLEAN_FILES =
155 CONFIG_CLEAN_VPATH_FILES =
156 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
157 am__vpath_adj = case $$p in \
158     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
159     *) f=$$p;; \
160   esac;
161 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
162 am__install_max = 40
163 am__nobase_strip_setup = \
164   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
165 am__nobase_strip = \
166   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
167 am__nobase_list = $(am__nobase_strip_setup); \
168   for p in $$list; do echo "$$p $$p"; done | \
169   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
170   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
171     if (++n[$$2] == $(am__install_max)) \
172       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
173     END { for (dir in files) print dir, files[dir] }'
174 am__base_list = \
175   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
176   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
177 am__uninstall_files_from_dir = { \
178   test -z "$$files" \
179     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
180     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
181          $(am__cd) "$$dir" && rm -f $$files; }; \
182   }
183 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
184         "$(DESTDIR)$(libsciui_data_la_etcdir)" \
185         "$(DESTDIR)$(libsciui_data_la_rootdir)" \
186         "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" \
187         "$(DESTDIR)$(libsciui_data_la_iconsdir)"
188 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
189 libsciui_data_algo_la_LIBADD =
190 am__dirstamp = $(am__leading_dot)dirstamp
191 am__objects_1 = src/jni/libsciui_data_algo_la-ui_data_wrap.lo \
192         src/c/libsciui_data_algo_la-PutScilabVariable.lo
193 am__objects_2 = src/jni/libsciui_data_algo_la-BrowseVar.lo \
194         src/jni/libsciui_data_algo_la-EditVar.lo \
195         src/jni/libsciui_data_algo_la-FileBrowser.lo
196 am__objects_3 = src/cpp/libsciui_data_algo_la-BrowseVarManager.lo \
197         src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo
198 am_libsciui_data_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2) \
199         $(am__objects_3)
200 libsciui_data_algo_la_OBJECTS = $(am_libsciui_data_algo_la_OBJECTS)
201 AM_V_lt = $(am__v_lt_@AM_V@)
202 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
203 am__v_lt_0 = --silent
204 am__v_lt_1 = 
205 @GUI_TRUE@am_libsciui_data_algo_la_rpath =
206 libsciui_data_disable_la_LIBADD =
207 am__objects_4 = src/noui_data/libsciui_data_disable_la-noui_data.lo
208 am_libsciui_data_disable_la_OBJECTS = $(am__objects_4)
209 libsciui_data_disable_la_OBJECTS =  \
210         $(am_libsciui_data_disable_la_OBJECTS)
211 am__DEPENDENCIES_1 =
212 libsciui_data_la_DEPENDENCIES = libsciui_data-algo.la \
213         $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1)
214 am__objects_5 = sci_gateway/cpp/libsciui_data_la-sci_editvar.lo \
215         sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo \
216         sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo \
217         sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo \
218         sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo
219 am_libsciui_data_la_OBJECTS = $(am__objects_5)
220 libsciui_data_la_OBJECTS = $(am_libsciui_data_la_OBJECTS)
221 libsciui_data_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX \
222         $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CXXLD) \
223         $(AM_CXXFLAGS) $(CXXFLAGS) $(libsciui_data_la_LDFLAGS) \
224         $(LDFLAGS) -o $@
225 @GUI_TRUE@am_libsciui_data_la_rpath = -rpath $(pkglibdir)
226 AM_V_P = $(am__v_P_@AM_V@)
227 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
228 am__v_P_0 = false
229 am__v_P_1 = :
230 AM_V_GEN = $(am__v_GEN_@AM_V@)
231 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
232 am__v_GEN_0 = @echo "  GEN     " $@;
233 am__v_GEN_1 = 
234 AM_V_at = $(am__v_at_@AM_V@)
235 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
236 am__v_at_0 = @
237 am__v_at_1 = 
238 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
239 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
240 am__maybe_remake_depfiles = depfiles
241 am__depfiles_remade =  \
242         sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo \
243         sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo \
244         sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo \
245         sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo \
246         sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo \
247         src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo \
248         src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo \
249         src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo \
250         src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo \
251         src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo \
252         src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo \
253         src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo \
254         src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
255 am__mv = mv -f
256 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
257         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
258 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
259         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
260         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
261         $(AM_CFLAGS) $(CFLAGS)
262 AM_V_CC = $(am__v_CC_@AM_V@)
263 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
264 am__v_CC_0 = @echo "  CC      " $@;
265 am__v_CC_1 = 
266 CCLD = $(CC)
267 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
268         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
269         $(AM_LDFLAGS) $(LDFLAGS) -o $@
270 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
271 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
272 am__v_CCLD_0 = @echo "  CCLD    " $@;
273 am__v_CCLD_1 = 
274 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
275         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
276 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
277         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
278         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
279         $(AM_CXXFLAGS) $(CXXFLAGS)
280 AM_V_CXX = $(am__v_CXX_@AM_V@)
281 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
282 am__v_CXX_0 = @echo "  CXX     " $@;
283 am__v_CXX_1 = 
284 CXXLD = $(CXX)
285 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
286         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
287         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
288 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
289 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
290 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
291 am__v_CXXLD_1 = 
292 SOURCES = $(libsciui_data_algo_la_SOURCES) \
293         $(libsciui_data_disable_la_SOURCES) \
294         $(libsciui_data_la_SOURCES)
295 DIST_SOURCES = $(libsciui_data_algo_la_SOURCES) \
296         $(libsciui_data_disable_la_SOURCES) \
297         $(libsciui_data_la_SOURCES)
298 am__can_run_installinfo = \
299   case $$AM_UPDATE_INFO_DIR in \
300     n|no|NO) false;; \
301     *) (install-info --version) >/dev/null 2>&1;; \
302   esac
303 DATA = $(libsciui_data_la_etc_DATA) $(libsciui_data_la_root_DATA) \
304         $(libsciui_data_la_sci_gateway_DATA) \
305         $(nobase_libsciui_data_la_icons_DATA)
306 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
307 # Read a list of newline-separated strings from the standard input,
308 # and print each of them once, without duplicates.  Input order is
309 # *not* preserved.
310 am__uniquify_input = $(AWK) '\
311   BEGIN { nonempty = 0; } \
312   { items[$$0] = 1; nonempty = 1; } \
313   END { if (nonempty) { for (i in items) print i; }; } \
314 '
315 # Make sure the list of sources is unique.  This is necessary because,
316 # e.g., the same source file might be shared among _SOURCES variables
317 # for different programs/libraries.
318 am__define_uniq_tagged_files = \
319   list='$(am__tagged_files)'; \
320   unique=`for i in $$list; do \
321     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
322   done | $(am__uniquify_input)`
323 ETAGS = etags
324 CTAGS = ctags
325 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
326         $(top_srcdir)/config/depcomp \
327         $(top_srcdir)/config/mkinstalldirs
328 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
329 ACLOCAL = @ACLOCAL@
330 ALL_LINGUAS = @ALL_LINGUAS@
331 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
332 AMTAR = @AMTAR@
333 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
334 ANT = @ANT@
335 ANTLR = @ANTLR@
336 AR = @AR@
337 ARPACK_LIBS = @ARPACK_LIBS@
338 ASM3 = @ASM3@
339 AUTOCONF = @AUTOCONF@
340 AUTOHEADER = @AUTOHEADER@
341 AUTOMAKE = @AUTOMAKE@
342 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
343 AWK = @AWK@
344 BATIK = @BATIK@
345 BLAS_CFLAGS = @BLAS_CFLAGS@
346 BLAS_LIBS = @BLAS_LIBS@
347 CC = @CC@
348 CCACHE = @CCACHE@
349 CCDEPMODE = @CCDEPMODE@
350 CFLAGS = @CFLAGS@
351 CHECKSTYLE = @CHECKSTYLE@
352 COBERTURA = @COBERTURA@
353 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
354 COMMONS_IO = @COMMONS_IO@
355 COMMONS_LOGGING = @COMMONS_LOGGING@
356 CPP = @CPP@
357 CPPFLAGS = @CPPFLAGS@
358 CURL_CFLAGS = @CURL_CFLAGS@
359 CURL_CONFIG = @CURL_CONFIG@
360 CURL_LIBS = @CURL_LIBS@
361 CURL_VERSION = @CURL_VERSION@
362 CXX = @CXX@
363 CXXCPP = @CXXCPP@
364 CXXDEPMODE = @CXXDEPMODE@
365 CXXFLAGS = @CXXFLAGS@
366 CYGPATH_W = @CYGPATH_W@
367 DEFS = @DEFS@
368 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
369 DEPDIR = @DEPDIR@
370 DLLTOOL = @DLLTOOL@
371 DOCBOOK_ROOT = @DOCBOOK_ROOT@
372 DOXYGEN_BIN = @DOXYGEN_BIN@
373 DSYMUTIL = @DSYMUTIL@
374 DUMPBIN = @DUMPBIN@
375 ECHO_C = @ECHO_C@
376 ECHO_N = @ECHO_N@
377 ECHO_T = @ECHO_T@
378 ECJ = @ECJ@
379 EGREP = @EGREP@
380 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
381 EXEEXT = @EXEEXT@
382 F77 = @F77@
383 FFLAGS = @FFLAGS@
384 FFTW3_LIB = @FFTW3_LIB@
385 FFTW_ENABLE = @FFTW_ENABLE@
386 FGREP = @FGREP@
387 FLEXDOCK = @FLEXDOCK@
388 FLIBS = @FLIBS@
389 FOP = @FOP@
390 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
391 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
392 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
393 FREEHEP_IO = @FREEHEP_IO@
394 FREEHEP_UTIL = @FREEHEP_UTIL@
395 GENHTML = @GENHTML@
396 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
397 GIWS_BIN = @GIWS_BIN@
398 GLUEGEN2_RT = @GLUEGEN2_RT@
399 GMSGFMT = @GMSGFMT@
400 GMSGFMT_015 = @GMSGFMT_015@
401 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
402 GREP = @GREP@
403 GUI_ENABLE = @GUI_ENABLE@
404 HAMCREST = @HAMCREST@
405 HAVE_CXX11 = @HAVE_CXX11@
406 HDF5_CFLAGS = @HDF5_CFLAGS@
407 HDF5_LIBS = @HDF5_LIBS@
408 HELP_ENABLE = @HELP_ENABLE@
409 INSTALL = @INSTALL@
410 INSTALL_DATA = @INSTALL_DATA@
411 INSTALL_PROGRAM = @INSTALL_PROGRAM@
412 INSTALL_SCRIPT = @INSTALL_SCRIPT@
413 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
414 INTLLIBS = @INTLLIBS@
415 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
416 JAR = @JAR@
417 JAVA = @JAVA@
418 JAVAC = @JAVAC@
419 JAVAC_DEBUG = @JAVAC_DEBUG@
420 JAVADOC = @JAVADOC@
421 JAVAH = @JAVAH@
422 JAVASCI_ENABLE = @JAVASCI_ENABLE@
423 JAVA_ENABLE = @JAVA_ENABLE@
424 JAVA_G = @JAVA_G@
425 JAVA_HOME = @JAVA_HOME@
426 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
427 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
428 JDB = @JDB@
429 JEUCLID_CORE = @JEUCLID_CORE@
430 JGRAPHX = @JGRAPHX@
431 JHALL = @JHALL@
432 JLATEXMATH = @JLATEXMATH@
433 JLATEXMATH_FOP = @JLATEXMATH_FOP@
434 JOGL2 = @JOGL2@
435 JROSETTA_API = @JROSETTA_API@
436 JROSETTA_ENGINE = @JROSETTA_ENGINE@
437 JUNIT4 = @JUNIT4@
438 LAPACK_LIBS = @LAPACK_LIBS@
439 LCOV = @LCOV@
440 LD = @LD@
441 LDFLAGS = @LDFLAGS@
442 LEX = @LEX@
443 LEXLIB = @LEXLIB@
444 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
445 LIBICONV = @LIBICONV@
446 LIBINTL = @LIBINTL@
447 LIBM = @LIBM@
448 LIBOBJS = @LIBOBJS@
449 LIBS = @LIBS@
450 LIBTOOL = @LIBTOOL@
451 LIPO = @LIPO@
452 LN_S = @LN_S@
453 LOGGING_LEVEL = @LOGGING_LEVEL@
454 LOOKS = @LOOKS@
455 LTLIBICONV = @LTLIBICONV@
456 LTLIBINTL = @LTLIBINTL@
457 LTLIBOBJS = @LTLIBOBJS@
458 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
459 LUCENE = @LUCENE@
460 LUCENE_ANALYZER = @LUCENE_ANALYZER@
461 LUCENE_PARSER = @LUCENE_PARSER@
462 MAINT = @MAINT@
463 MAKEINFO = @MAKEINFO@
464 MANIFEST_TOOL = @MANIFEST_TOOL@
465 MATIO_CFLAGS = @MATIO_CFLAGS@
466 MATIO_ENABLE = @MATIO_ENABLE@
467 MATIO_LIBS = @MATIO_LIBS@
468 MKDIR_P = @MKDIR_P@
469 MPI_ENABLE = @MPI_ENABLE@
470 MSGCAT = @MSGCAT@
471 MSGFMT = @MSGFMT@
472 MSGFMT_015 = @MSGFMT_015@
473 MSGMERGE = @MSGMERGE@
474 NM = @NM@
475 NMEDIT = @NMEDIT@
476 OBJDUMP = @OBJDUMP@
477 OBJEXT = @OBJEXT@
478 OCAMLC = @OCAMLC@
479 OCAMLDEP = @OCAMLDEP@
480 OCAMLLEX = @OCAMLLEX@
481 OCAMLOPT = @OCAMLOPT@
482 OCAMLYACC = @OCAMLYACC@
483 OPENMPI_CC = @OPENMPI_CC@
484 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
485 OPENMPI_CXX = @OPENMPI_CXX@
486 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
487 OPENMPI_LIBS = @OPENMPI_LIBS@
488 OPENMP_CFLAGS = @OPENMP_CFLAGS@
489 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
490 OPENMP_ENABLE = @OPENMP_ENABLE@
491 OPENMP_LIBS = @OPENMP_LIBS@
492 OTOOL = @OTOOL@
493 OTOOL64 = @OTOOL64@
494 PACKAGE = @PACKAGE@
495 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
496 PACKAGE_NAME = @PACKAGE_NAME@
497 PACKAGE_STRING = @PACKAGE_STRING@
498 PACKAGE_TARNAME = @PACKAGE_TARNAME@
499 PACKAGE_URL = @PACKAGE_URL@
500 PACKAGE_VERSION = @PACKAGE_VERSION@
501 PATH_SEPARATOR = @PATH_SEPARATOR@
502 PCRE_CFLAGS = @PCRE_CFLAGS@
503 PCRE_CONFIG = @PCRE_CONFIG@
504 PCRE_LIBS = @PCRE_LIBS@
505 PCRE_VERSION = @PCRE_VERSION@
506 PKG_CONFIG = @PKG_CONFIG@
507 POSUB = @POSUB@
508 POW_LIB = @POW_LIB@
509 PYTHON = @PYTHON@
510 RANLIB = @RANLIB@
511 RELOCATABLE = @RELOCATABLE@
512 RT_LIB = @RT_LIB@
513 SAXON = @SAXON@
514 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
515 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
516 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
517 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
518 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
519 SCIRENDERER = @SCIRENDERER@
520 SCIRENDERER_CP = @SCIRENDERER_CP@
521 SCI_CFLAGS = @SCI_CFLAGS@
522 SCI_CXXFLAGS = @SCI_CXXFLAGS@
523 SCI_FFLAGS = @SCI_FFLAGS@
524 SCI_LDFLAGS = @SCI_LDFLAGS@
525 SED = @SED@
526 SET_MAKE = @SET_MAKE@
527 SET_RELOCATABLE = @SET_RELOCATABLE@
528 SHELL = @SHELL@
529 SKINLF = @SKINLF@
530 SPLINT = @SPLINT@
531 STRIP = @STRIP@
532 SWIG_BIN = @SWIG_BIN@
533 SWIG_JAVA = @SWIG_JAVA@
534 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
535 SWIG_SCILAB = @SWIG_SCILAB@
536 TCLTK_LIBS = @TCLTK_LIBS@
537 TCL_INC_PATH = @TCL_INC_PATH@
538 TK_INC_PATH = @TK_INC_PATH@
539 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
540 UMFPACK_ENABLE = @UMFPACK_ENABLE@
541 UMFPACK_LIB = @UMFPACK_LIB@
542 USE_NLS = @USE_NLS@
543 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
544 VALGRIND_LIBS = @VALGRIND_LIBS@
545 VERSION = @VERSION@
546 WITH_OCAML = @WITH_OCAML@
547 WITH_TKSCI = @WITH_TKSCI@
548 XCOS_ENABLE = @XCOS_ENABLE@
549 XGETTEXT = @XGETTEXT@
550 XGETTEXT_015 = @XGETTEXT_015@
551 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
552 XMKMF = @XMKMF@
553 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
554 XML_APIS_EXT = @XML_APIS_EXT@
555 XML_CONFIG = @XML_CONFIG@
556 XML_FLAGS = @XML_FLAGS@
557 XML_LIBS = @XML_LIBS@
558 XML_VERSION = @XML_VERSION@
559 X_CFLAGS = @X_CFLAGS@
560 X_EXTRA_LIBS = @X_EXTRA_LIBS@
561 X_LIBS = @X_LIBS@
562 X_PRE_LIBS = @X_PRE_LIBS@
563 YACC = @YACC@
564 YFLAGS = @YFLAGS@
565 abs_builddir = @abs_builddir@
566 abs_srcdir = @abs_srcdir@
567 abs_top_builddir = @abs_top_builddir@
568 abs_top_srcdir = @abs_top_srcdir@
569 ac_ct_AR = @ac_ct_AR@
570 ac_ct_CC = @ac_ct_CC@
571 ac_ct_CXX = @ac_ct_CXX@
572 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
573 ac_ct_F77 = @ac_ct_F77@
574 am__include = @am__include@
575 am__leading_dot = @am__leading_dot@
576 am__quote = @am__quote@
577 am__tar = @am__tar@
578 am__untar = @am__untar@
579 bindir = @bindir@
580 build = @build@
581 build_alias = @build_alias@
582 build_cpu = @build_cpu@
583 build_os = @build_os@
584 build_vendor = @build_vendor@
585 builddir = @builddir@
586 cxx_present = @cxx_present@
587 datadir = @datadir@
588 datarootdir = @datarootdir@
589 docdir = @docdir@
590 dvidir = @dvidir@
591 exec_prefix = @exec_prefix@
592 host = @host@
593 host_alias = @host_alias@
594 host_cpu = @host_cpu@
595 host_os = @host_os@
596 host_vendor = @host_vendor@
597 htmldir = @htmldir@
598 includedir = @includedir@
599 infodir = @infodir@
600 install_sh = @install_sh@
601 libdir = @libdir@
602 libexecdir = @libexecdir@
603 localedir = @localedir@
604 localstatedir = @localstatedir@
605 mandir = @mandir@
606 mkdir_p = @mkdir_p@
607 oldincludedir = @oldincludedir@
608 pdfdir = @pdfdir@
609 prefix = @prefix@
610 program_transform_name = @program_transform_name@
611 psdir = @psdir@
612 sbindir = @sbindir@
613 sharedstatedir = @sharedstatedir@
614 srcdir = @srcdir@
615 sysconfdir = @sysconfdir@
616 target_alias = @target_alias@
617 top_build_prefix = @top_build_prefix@
618 top_builddir = @top_builddir@
619 top_srcdir = @top_srcdir@
620 yacc_present = @yacc_present@
621
622 #### Target ######
623 modulename = ui_data
624
625 #### ui_data : Conf files ####
626 libsciui_data_la_rootdir = $(mydatadir)
627 libsciui_data_la_root_DATA = license.txt
628
629 #### ui_data : init scripts ####
630 libsciui_data_la_etcdir = $(mydatadir)/etc
631 libsciui_data_la_etc_DATA = \
632         etc/newsfeed.css \
633         etc/newsfeed.xml \
634         etc/ui_data.quit \
635         etc/ui_data.start \
636         etc/variablebrowser_menubar.xml \
637         etc/variableeditor_menubar.xml \
638         etc/XConfiguration-variables.xml \
639         etc/XConfiguration-variables.xsl
640
641 UI_DATA_JNI_SOURCES = \
642     src/jni/BrowseVar.cpp \
643     src/jni/EditVar.cpp \
644         src/jni/FileBrowser.cpp
645
646 UI_DATA_C_SOURCES = \
647     src/jni/ui_data_wrap.c \
648     src/c/PutScilabVariable.c
649
650 UI_DATA_CXX_SOURCES = \
651     src/cpp/BrowseVarManager.cpp \
652     src/cpp/FileBrowserChDir.cpp
653
654 GIWS_WRAPPERS = \
655     src/jni/BrowseVar.giws.xml \
656     src/jni/EditVar.giws.xml \
657     src/jni/FileBrowser.giws.xml
658
659 SWIG_WRAPPERS = \
660     src/jni/ui_data.i
661
662 BUILT_SOURCES = $(am__append_1) $(am__append_2)
663 GATEWAY_CXX_SOURCES = \
664     sci_gateway/cpp/sci_editvar.cpp \
665     sci_gateway/cpp/sci_browsevar.cpp \
666     sci_gateway/cpp/sci_filebrowser.cpp \
667     sci_gateway/cpp/sci_updatebrowsevar.cpp \
668     sci_gateway/cpp/sci_closeEditvar.cpp
669
670 libsciui_data_la_CPPFLAGS = \
671     $(JAVA_JNI_INCLUDE) \
672     -I$(srcdir)/includes/ \
673     -I$(srcdir)/src/cpp/ \
674     -I$(srcdir)/src/c/ \
675     -I$(srcdir)/src/jni/ \
676     -I$(top_srcdir)/modules/ast/includes/ast/ \
677     -I$(top_srcdir)/modules/ast/includes/exps/ \
678     -I$(top_srcdir)/modules/ast/includes/operations/ \
679     -I$(top_srcdir)/modules/ast/includes/parse/ \
680     -I$(top_srcdir)/modules/ast/includes/symbol/ \
681     -I$(top_srcdir)/modules/ast/includes/system_env/ \
682     -I$(top_srcdir)/modules/ast/includes/types/ \
683     -I$(top_srcdir)/modules/ast/includes/analysis/ \
684     -I$(top_srcdir)/modules/jvm/includes/ \
685     -I$(top_srcdir)/modules/output_stream/includes/ \
686     -I$(top_srcdir)/modules/commons/src/jni/ \
687     -I$(top_srcdir)/modules/localization/includes/ \
688     -I$(top_srcdir)/modules/api_scilab/includes/ \
689     -I$(top_srcdir)/modules/fileio/includes/ \
690     -I$(top_srcdir)/modules/string/includes/ \
691     -I$(top_srcdir)/modules/dynamic_link/includes/ \
692     -I$(top_srcdir)/modules/threads/includes/ \
693     -I$(top_srcdir)/modules/console/includes/ \
694     $(AM_CPPFLAGS)
695
696
697 # Without the ui_data module
698 libsciui_data_disable_la_CPPFLAGS = \
699     -I$(srcdir)/includes/ \
700     -I$(top_srcdir)/modules/ast/includes/ast/ \
701     -I$(top_srcdir)/modules/ast/includes/exps/ \
702     -I$(top_srcdir)/modules/ast/includes/operations/ \
703     -I$(top_srcdir)/modules/ast/includes/parse/ \
704     -I$(top_srcdir)/modules/ast/includes/symbol/ \
705     -I$(top_srcdir)/modules/ast/includes/system_env/ \
706     -I$(top_srcdir)/modules/ast/includes/types/ \
707     -I$(top_srcdir)/modules/ast/includes/analysis/ \
708     -I$(top_srcdir)/modules/localization/includes/ \
709     -I$(top_srcdir)/modules/output_stream/includes \
710     $(AM_CPPFLAGS)
711
712 UI_DATA_DISABLE_C_SOURCES = src/noui_data/noui_data.c
713 libsciui_data_disable_la_SOURCES = $(UI_DATA_DISABLE_C_SOURCES)
714 pkglib_LTLIBRARIES = libsciui_data-disable.la $(am__append_3)
715 @GUI_TRUE@noinst_LTLIBRARIES = libsciui_data-algo.la
716 libsciui_data_la_LDFLAGS = $(AM_LDFLAGS)
717 libsciui_data_algo_la_SOURCES = $(UI_DATA_C_SOURCES) $(UI_DATA_JNI_SOURCES) $(UI_DATA_CXX_SOURCES)
718 libsciui_data_la_SOURCES = $(GATEWAY_CXX_SOURCES)
719 libsciui_data_algo_la_CPPFLAGS = $(libsciui_data_la_CPPFLAGS)
720
721 # For the code check (splint)
722 CHECK_SRC = $(UI_DATA_C_SOURCES)
723 INCLUDE_FLAGS = $(libsciui_data_la_CPPFLAGS)
724 libsciui_data_la_LIBADD = libsciui_data-algo.la $(X_LIBS) $(X_EXTRA_LIBS)
725
726 #### ui_data : gateway declaration ####
727 libsciui_data_la_sci_gatewaydir = $(mydatadir)/sci_gateway
728 libsciui_data_la_sci_gateway_DATA = sci_gateway/ui_data_gateway.xml
729
730 #### ui_data : icons files ####
731 #
732 # Generated with:
733 #    $ find images/ -type f -printf "%p \\\\\n" -name *.svg -or -name *.gif -or -name *.jpg -or -name *.png |sort -u
734 libsciui_data_la_iconsdir = $(mydatadir)/
735 nobase_libsciui_data_la_icons_DATA = \
736 images/icons/16x16/mimetypes/array_up.png \
737 images/icons/16x16/mimetypes/boolean.png \
738 images/icons/16x16/mimetypes/cell.png \
739 images/icons/16x16/mimetypes/double.png \
740 images/icons/16x16/mimetypes/fptr.png \
741 images/icons/16x16/mimetypes/function.png \
742 images/icons/16x16/mimetypes/handle.png \
743 images/icons/16x16/mimetypes/int.png \
744 images/icons/16x16/mimetypes/list.png \
745 images/icons/16x16/mimetypes/mlist.png \
746 images/icons/16x16/mimetypes/noicon.png \
747 images/icons/16x16/mimetypes/object.png \
748 images/icons/16x16/mimetypes/polynomial.png \
749 images/icons/16x16/mimetypes/sparse.png \
750 images/icons/16x16/mimetypes/string.png \
751 images/icons/16x16/mimetypes/timeseries.png \
752 images/icons/16x16/mimetypes/tlist.png \
753 images/icons/16x16/mimetypes/uint.png \
754 images/icons/16x16/mimetypes/user.png
755
756 @GUI_TRUE@USEANT = 1
757
758 # Where all the Scilab stuff is installed (macros, help, ...)
759 mydatadir = $(pkgdatadir)/modules/$(modulename)
760
761 # Set AM_* SCI detected settings
762 AM_CPPFLAGS = $(SCI_CPPFLAGS)
763 AM_CFLAGS = $(SCI_CFLAGS)
764 AM_CXXFLAGS = $(SCI_CXXFLAGS)
765 # append includes to AM_FFLAGS to manage fortran includes
766 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
767
768 # Tag shared libraries with the Scilab version
769 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
770
771 # splint options
772 SPLINT_OPTIONS = -weak -booltype BOOL
773
774 ########################### JAVA ######################################
775 #### We are delegating java compilation to ant... Thanks to that
776 #### the procedure will be the same with Microsoft Windows (C)
777 #### and Linux/Unix
778 #######################################################################
779 TARGETS_ALL = $(am__append_4)
780
781 ################ MACROS ######################
782 # Rule to build a macro
783 # NOT USED  AT THE MOMENT
784 SUFFIXES = .sci 
785
786 ########### INSTALL DOCUMENTATION ###################
787
788 # Install documentation files into the right target
789 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
790 # automake needs the html files to be present which is not the case when
791 # we are building Scilab
792
793 # Where it should be installed
794 pkgdocdir = $(mydatadir)
795
796 # What is the mask of the help source
797 DOCMASKXML = *.xml
798
799 # What is the mask of the MathML sources
800 DOCMASKMML = *.mml
801
802 ########### INSTALL DATA ###################
803 # Install macros, help & demos
804 # Where it should be installed
805 pkgmacrosdir = $(mydatadir)
806 # Which directory we process
807 MACRODIRS = macros/
808 # Mask of the Scilab sources macros
809 MACROMASK = *.sci
810 # Mask of the Scilab executable sources macros
811 MACROBUILDMASK = *.sce
812 # Mask of the Scilab compiled macros
813 MACROBINMASK = *.bin
814 # List of the standard directory for tests
815 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
816 # Where the demos should be installed
817 pkgdemosdir = $(mydatadir)
818 # List of the standard directory for demos
819 DEMOS_DIR = demos
820 # List of the standard directory for examples
821 EXAMPLES_DIR = examples
822 # Where to export JAVA archives (.jar)
823 JARDIR = jar/
824 # JAR files mask
825 JARMASK = *.jar
826 # Chapter file 
827 HELP_CHAPTERDIR = help/
828 HELP_CHAPTERFILE = addchapter.sce
829 HELP_CHAPTERLANG = en_US fr_FR pt_BR
830 all: $(BUILT_SOURCES)
831         $(MAKE) $(AM_MAKEFLAGS) all-am
832
833 .SUFFIXES:
834 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
835 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
836         @for dep in $?; do \
837           case '$(am__configure_deps)' in \
838             *$$dep*) \
839               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
840                 && { if test -f $@; then exit 0; else break; fi; }; \
841               exit 1;; \
842           esac; \
843         done; \
844         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ui_data/Makefile'; \
845         $(am__cd) $(top_srcdir) && \
846           $(AUTOMAKE) --foreign modules/ui_data/Makefile
847 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
848         @case '$?' in \
849           *config.status*) \
850             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
851           *) \
852             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
853             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
854         esac;
855 $(top_srcdir)/Makefile.incl.am $(am__empty):
856
857 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
858         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
859
860 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
861         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
862 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
863         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
864 $(am__aclocal_m4_deps):
865
866 clean-noinstLTLIBRARIES:
867         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
868         @list='$(noinst_LTLIBRARIES)'; \
869         locs=`for p in $$list; do echo $$p; done | \
870               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
871               sort -u`; \
872         test -z "$$locs" || { \
873           echo rm -f $${locs}; \
874           rm -f $${locs}; \
875         }
876
877 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
878         @$(NORMAL_INSTALL)
879         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
880         list2=; for p in $$list; do \
881           if test -f $$p; then \
882             list2="$$list2 $$p"; \
883           else :; fi; \
884         done; \
885         test -z "$$list2" || { \
886           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
887           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
888           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
889           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
890         }
891
892 uninstall-pkglibLTLIBRARIES:
893         @$(NORMAL_UNINSTALL)
894         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
895         for p in $$list; do \
896           $(am__strip_dir) \
897           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
898           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
899         done
900
901 clean-pkglibLTLIBRARIES:
902         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
903         @list='$(pkglib_LTLIBRARIES)'; \
904         locs=`for p in $$list; do echo $$p; done | \
905               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
906               sort -u`; \
907         test -z "$$locs" || { \
908           echo rm -f $${locs}; \
909           rm -f $${locs}; \
910         }
911 src/jni/$(am__dirstamp):
912         @$(MKDIR_P) src/jni
913         @: > src/jni/$(am__dirstamp)
914 src/jni/$(DEPDIR)/$(am__dirstamp):
915         @$(MKDIR_P) src/jni/$(DEPDIR)
916         @: > src/jni/$(DEPDIR)/$(am__dirstamp)
917 src/jni/libsciui_data_algo_la-ui_data_wrap.lo:  \
918         src/jni/$(am__dirstamp) src/jni/$(DEPDIR)/$(am__dirstamp)
919 src/c/$(am__dirstamp):
920         @$(MKDIR_P) src/c
921         @: > src/c/$(am__dirstamp)
922 src/c/$(DEPDIR)/$(am__dirstamp):
923         @$(MKDIR_P) src/c/$(DEPDIR)
924         @: > src/c/$(DEPDIR)/$(am__dirstamp)
925 src/c/libsciui_data_algo_la-PutScilabVariable.lo:  \
926         src/c/$(am__dirstamp) src/c/$(DEPDIR)/$(am__dirstamp)
927 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/$(am__dirstamp) \
928         src/jni/$(DEPDIR)/$(am__dirstamp)
929 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/$(am__dirstamp) \
930         src/jni/$(DEPDIR)/$(am__dirstamp)
931 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/$(am__dirstamp) \
932         src/jni/$(DEPDIR)/$(am__dirstamp)
933 src/cpp/$(am__dirstamp):
934         @$(MKDIR_P) src/cpp
935         @: > src/cpp/$(am__dirstamp)
936 src/cpp/$(DEPDIR)/$(am__dirstamp):
937         @$(MKDIR_P) src/cpp/$(DEPDIR)
938         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
939 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo:  \
940         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
941 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo:  \
942         src/cpp/$(am__dirstamp) src/cpp/$(DEPDIR)/$(am__dirstamp)
943
944 libsciui_data-algo.la: $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_DEPENDENCIES) $(EXTRA_libsciui_data_algo_la_DEPENDENCIES) 
945         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciui_data_algo_la_rpath) $(libsciui_data_algo_la_OBJECTS) $(libsciui_data_algo_la_LIBADD) $(LIBS)
946 src/noui_data/$(am__dirstamp):
947         @$(MKDIR_P) src/noui_data
948         @: > src/noui_data/$(am__dirstamp)
949 src/noui_data/$(DEPDIR)/$(am__dirstamp):
950         @$(MKDIR_P) src/noui_data/$(DEPDIR)
951         @: > src/noui_data/$(DEPDIR)/$(am__dirstamp)
952 src/noui_data/libsciui_data_disable_la-noui_data.lo:  \
953         src/noui_data/$(am__dirstamp) \
954         src/noui_data/$(DEPDIR)/$(am__dirstamp)
955
956 libsciui_data-disable.la: $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_DEPENDENCIES) $(EXTRA_libsciui_data_disable_la_DEPENDENCIES) 
957         $(AM_V_CCLD)$(LINK) -rpath $(pkglibdir) $(libsciui_data_disable_la_OBJECTS) $(libsciui_data_disable_la_LIBADD) $(LIBS)
958 sci_gateway/cpp/$(am__dirstamp):
959         @$(MKDIR_P) sci_gateway/cpp
960         @: > sci_gateway/cpp/$(am__dirstamp)
961 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
962         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
963         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
964 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo:  \
965         sci_gateway/cpp/$(am__dirstamp) \
966         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
967 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo:  \
968         sci_gateway/cpp/$(am__dirstamp) \
969         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
970 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo:  \
971         sci_gateway/cpp/$(am__dirstamp) \
972         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
973 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo:  \
974         sci_gateway/cpp/$(am__dirstamp) \
975         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
976 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo:  \
977         sci_gateway/cpp/$(am__dirstamp) \
978         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
979
980 libsciui_data.la: $(libsciui_data_la_OBJECTS) $(libsciui_data_la_DEPENDENCIES) $(EXTRA_libsciui_data_la_DEPENDENCIES) 
981         $(AM_V_CXXLD)$(libsciui_data_la_LINK) $(am_libsciui_data_la_rpath) $(libsciui_data_la_OBJECTS) $(libsciui_data_la_LIBADD) $(LIBS)
982
983 mostlyclean-compile:
984         -rm -f *.$(OBJEXT)
985         -rm -f sci_gateway/cpp/*.$(OBJEXT)
986         -rm -f sci_gateway/cpp/*.lo
987         -rm -f src/c/*.$(OBJEXT)
988         -rm -f src/c/*.lo
989         -rm -f src/cpp/*.$(OBJEXT)
990         -rm -f src/cpp/*.lo
991         -rm -f src/jni/*.$(OBJEXT)
992         -rm -f src/jni/*.lo
993         -rm -f src/noui_data/*.$(OBJEXT)
994         -rm -f src/noui_data/*.lo
995
996 distclean-compile:
997         -rm -f *.tab.c
998
999 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo@am__quote@ # am--include-marker
1000 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo@am__quote@ # am--include-marker
1001 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo@am__quote@ # am--include-marker
1002 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo@am__quote@ # am--include-marker
1003 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo@am__quote@ # am--include-marker
1004 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo@am__quote@ # am--include-marker
1005 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo@am__quote@ # am--include-marker
1006 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo@am__quote@ # am--include-marker
1007 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo@am__quote@ # am--include-marker
1008 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo@am__quote@ # am--include-marker
1009 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo@am__quote@ # am--include-marker
1010 @AMDEP_TRUE@@am__include@ @am__quote@src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo@am__quote@ # am--include-marker
1011 @AMDEP_TRUE@@am__include@ @am__quote@src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo@am__quote@ # am--include-marker
1012
1013 $(am__depfiles_remade):
1014         @$(MKDIR_P) $(@D)
1015         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
1016
1017 am--depfiles: $(am__depfiles_remade)
1018
1019 .c.o:
1020 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1021 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1022 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1023 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1024 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1025 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1026
1027 .c.obj:
1028 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1029 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1030 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
1031 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1032 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1033 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1034
1035 .c.lo:
1036 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1037 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1038 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
1039 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1040 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1041 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1042
1043 src/jni/libsciui_data_algo_la-ui_data_wrap.lo: src/jni/ui_data_wrap.c
1044 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/jni/libsciui_data_algo_la-ui_data_wrap.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1045 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
1046 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/jni/ui_data_wrap.c' object='src/jni/libsciui_data_algo_la-ui_data_wrap.lo' libtool=yes @AMDEPBACKSLASH@
1047 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1048 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/jni/libsciui_data_algo_la-ui_data_wrap.lo `test -f 'src/jni/ui_data_wrap.c' || echo '$(srcdir)/'`src/jni/ui_data_wrap.c
1049
1050 src/c/libsciui_data_algo_la-PutScilabVariable.lo: src/c/PutScilabVariable.c
1051 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciui_data_algo_la-PutScilabVariable.lo -MD -MP -MF src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1052 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Tpo src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
1053 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/PutScilabVariable.c' object='src/c/libsciui_data_algo_la-PutScilabVariable.lo' libtool=yes @AMDEPBACKSLASH@
1054 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1055 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciui_data_algo_la-PutScilabVariable.lo `test -f 'src/c/PutScilabVariable.c' || echo '$(srcdir)/'`src/c/PutScilabVariable.c
1056
1057 src/noui_data/libsciui_data_disable_la-noui_data.lo: src/noui_data/noui_data.c
1058 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/noui_data/libsciui_data_disable_la-noui_data.lo -MD -MP -MF src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1059 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Tpo src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
1060 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/noui_data/noui_data.c' object='src/noui_data/libsciui_data_disable_la-noui_data.lo' libtool=yes @AMDEPBACKSLASH@
1061 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1062 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_disable_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/noui_data/libsciui_data_disable_la-noui_data.lo `test -f 'src/noui_data/noui_data.c' || echo '$(srcdir)/'`src/noui_data/noui_data.c
1063
1064 .cpp.o:
1065 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1066 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1067 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1068 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1069 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1070 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1071
1072 .cpp.obj:
1073 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1074 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1075 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1076 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1077 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1078 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1079
1080 .cpp.lo:
1081 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1082 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1083 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1084 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1085 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1086 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1087
1088 src/jni/libsciui_data_algo_la-BrowseVar.lo: src/jni/BrowseVar.cpp
1089 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-BrowseVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1090 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
1091 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/BrowseVar.cpp' object='src/jni/libsciui_data_algo_la-BrowseVar.lo' libtool=yes @AMDEPBACKSLASH@
1092 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1093 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-BrowseVar.lo `test -f 'src/jni/BrowseVar.cpp' || echo '$(srcdir)/'`src/jni/BrowseVar.cpp
1094
1095 src/jni/libsciui_data_algo_la-EditVar.lo: src/jni/EditVar.cpp
1096 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-EditVar.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1097 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
1098 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/EditVar.cpp' object='src/jni/libsciui_data_algo_la-EditVar.lo' libtool=yes @AMDEPBACKSLASH@
1099 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1100 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-EditVar.lo `test -f 'src/jni/EditVar.cpp' || echo '$(srcdir)/'`src/jni/EditVar.cpp
1101
1102 src/jni/libsciui_data_algo_la-FileBrowser.lo: src/jni/FileBrowser.cpp
1103 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/jni/libsciui_data_algo_la-FileBrowser.lo -MD -MP -MF src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1104 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Tpo src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
1105 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/jni/FileBrowser.cpp' object='src/jni/libsciui_data_algo_la-FileBrowser.lo' libtool=yes @AMDEPBACKSLASH@
1106 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1107 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/jni/libsciui_data_algo_la-FileBrowser.lo `test -f 'src/jni/FileBrowser.cpp' || echo '$(srcdir)/'`src/jni/FileBrowser.cpp
1108
1109 src/cpp/libsciui_data_algo_la-BrowseVarManager.lo: src/cpp/BrowseVarManager.cpp
1110 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-BrowseVarManager.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1111 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo
1112 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/BrowseVarManager.cpp' object='src/cpp/libsciui_data_algo_la-BrowseVarManager.lo' libtool=yes @AMDEPBACKSLASH@
1113 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1114 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-BrowseVarManager.lo `test -f 'src/cpp/BrowseVarManager.cpp' || echo '$(srcdir)/'`src/cpp/BrowseVarManager.cpp
1115
1116 src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo: src/cpp/FileBrowserChDir.cpp
1117 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1118 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Tpo src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
1119 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/FileBrowserChDir.cpp' object='src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo' libtool=yes @AMDEPBACKSLASH@
1120 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1121 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciui_data_algo_la-FileBrowserChDir.lo `test -f 'src/cpp/FileBrowserChDir.cpp' || echo '$(srcdir)/'`src/cpp/FileBrowserChDir.cpp
1122
1123 sci_gateway/cpp/libsciui_data_la-sci_editvar.lo: sci_gateway/cpp/sci_editvar.cpp
1124 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_editvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1125 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo
1126 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_editvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_editvar.lo' libtool=yes @AMDEPBACKSLASH@
1127 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1128 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_editvar.lo `test -f 'sci_gateway/cpp/sci_editvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_editvar.cpp
1129
1130 sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo: sci_gateway/cpp/sci_browsevar.cpp
1131 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1132 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
1133 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_browsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo' libtool=yes @AMDEPBACKSLASH@
1134 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1135 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_browsevar.lo `test -f 'sci_gateway/cpp/sci_browsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_browsevar.cpp
1136
1137 sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo: sci_gateway/cpp/sci_filebrowser.cpp
1138 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1139 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
1140 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_filebrowser.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo' libtool=yes @AMDEPBACKSLASH@
1141 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1142 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_filebrowser.lo `test -f 'sci_gateway/cpp/sci_filebrowser.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_filebrowser.cpp
1143
1144 sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo: sci_gateway/cpp/sci_updatebrowsevar.cpp
1145 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1146 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
1147 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_updatebrowsevar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo' libtool=yes @AMDEPBACKSLASH@
1148 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1149 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_updatebrowsevar.lo `test -f 'sci_gateway/cpp/sci_updatebrowsevar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_updatebrowsevar.cpp
1150
1151 sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo: sci_gateway/cpp/sci_closeEditvar.cpp
1152 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1153 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Tpo sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo
1154 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_closeEditvar.cpp' object='sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo' libtool=yes @AMDEPBACKSLASH@
1155 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1156 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciui_data_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciui_data_la-sci_closeEditvar.lo `test -f 'sci_gateway/cpp/sci_closeEditvar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_closeEditvar.cpp
1157
1158 mostlyclean-libtool:
1159         -rm -f *.lo
1160
1161 clean-libtool:
1162         -rm -rf .libs _libs
1163         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1164         -rm -rf src/c/.libs src/c/_libs
1165         -rm -rf src/cpp/.libs src/cpp/_libs
1166         -rm -rf src/jni/.libs src/jni/_libs
1167         -rm -rf src/noui_data/.libs src/noui_data/_libs
1168 install-libsciui_data_la_etcDATA: $(libsciui_data_la_etc_DATA)
1169         @$(NORMAL_INSTALL)
1170         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1171         if test -n "$$list"; then \
1172           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1173           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit 1; \
1174         fi; \
1175         for p in $$list; do \
1176           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1177           echo "$$d$$p"; \
1178         done | $(am__base_list) | \
1179         while read files; do \
1180           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_etcdir)'"; \
1181           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_etcdir)" || exit $$?; \
1182         done
1183
1184 uninstall-libsciui_data_la_etcDATA:
1185         @$(NORMAL_UNINSTALL)
1186         @list='$(libsciui_data_la_etc_DATA)'; test -n "$(libsciui_data_la_etcdir)" || list=; \
1187         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1188         dir='$(DESTDIR)$(libsciui_data_la_etcdir)'; $(am__uninstall_files_from_dir)
1189 install-libsciui_data_la_rootDATA: $(libsciui_data_la_root_DATA)
1190         @$(NORMAL_INSTALL)
1191         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1192         if test -n "$$list"; then \
1193           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1194           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit 1; \
1195         fi; \
1196         for p in $$list; do \
1197           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1198           echo "$$d$$p"; \
1199         done | $(am__base_list) | \
1200         while read files; do \
1201           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_rootdir)'"; \
1202           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_rootdir)" || exit $$?; \
1203         done
1204
1205 uninstall-libsciui_data_la_rootDATA:
1206         @$(NORMAL_UNINSTALL)
1207         @list='$(libsciui_data_la_root_DATA)'; test -n "$(libsciui_data_la_rootdir)" || list=; \
1208         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1209         dir='$(DESTDIR)$(libsciui_data_la_rootdir)'; $(am__uninstall_files_from_dir)
1210 install-libsciui_data_la_sci_gatewayDATA: $(libsciui_data_la_sci_gateway_DATA)
1211         @$(NORMAL_INSTALL)
1212         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
1213         if test -n "$$list"; then \
1214           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
1215           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit 1; \
1216         fi; \
1217         for p in $$list; do \
1218           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1219           echo "$$d$$p"; \
1220         done | $(am__base_list) | \
1221         while read files; do \
1222           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'"; \
1223           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" || exit $$?; \
1224         done
1225
1226 uninstall-libsciui_data_la_sci_gatewayDATA:
1227         @$(NORMAL_UNINSTALL)
1228         @list='$(libsciui_data_la_sci_gateway_DATA)'; test -n "$(libsciui_data_la_sci_gatewaydir)" || list=; \
1229         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1230         dir='$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1231 install-nobase_libsciui_data_la_iconsDATA: $(nobase_libsciui_data_la_icons_DATA)
1232         @$(NORMAL_INSTALL)
1233         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1234         if test -n "$$list"; then \
1235           echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)'"; \
1236           $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)" || exit 1; \
1237         fi; \
1238         $(am__nobase_list) | while read dir files; do \
1239           xfiles=; for file in $$files; do \
1240             if test -f "$$file"; then xfiles="$$xfiles $$file"; \
1241             else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
1242           test -z "$$xfiles" || { \
1243             test "x$$dir" = x. || { \
1244               echo " $(MKDIR_P) '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1245               $(MKDIR_P) "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir"; }; \
1246             echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir'"; \
1247             $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(libsciui_data_la_iconsdir)/$$dir" || exit $$?; }; \
1248         done
1249
1250 uninstall-nobase_libsciui_data_la_iconsDATA:
1251         @$(NORMAL_UNINSTALL)
1252         @list='$(nobase_libsciui_data_la_icons_DATA)'; test -n "$(libsciui_data_la_iconsdir)" || list=; \
1253         $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
1254         dir='$(DESTDIR)$(libsciui_data_la_iconsdir)'; $(am__uninstall_files_from_dir)
1255
1256 ID: $(am__tagged_files)
1257         $(am__define_uniq_tagged_files); mkid -fID $$unique
1258 tags: tags-am
1259 TAGS: tags
1260
1261 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1262         set x; \
1263         here=`pwd`; \
1264         $(am__define_uniq_tagged_files); \
1265         shift; \
1266         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1267           test -n "$$unique" || unique=$$empty_fix; \
1268           if test $$# -gt 0; then \
1269             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1270               "$$@" $$unique; \
1271           else \
1272             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1273               $$unique; \
1274           fi; \
1275         fi
1276 ctags: ctags-am
1277
1278 CTAGS: ctags
1279 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1280         $(am__define_uniq_tagged_files); \
1281         test -z "$(CTAGS_ARGS)$$unique" \
1282           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1283              $$unique
1284
1285 GTAGS:
1286         here=`$(am__cd) $(top_builddir) && pwd` \
1287           && $(am__cd) $(top_srcdir) \
1288           && gtags -i $(GTAGS_ARGS) "$$here"
1289 cscopelist: cscopelist-am
1290
1291 cscopelist-am: $(am__tagged_files)
1292         list='$(am__tagged_files)'; \
1293         case "$(srcdir)" in \
1294           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1295           *) sdir=$(subdir)/$(srcdir) ;; \
1296         esac; \
1297         for i in $$list; do \
1298           if test -f "$$i"; then \
1299             echo "$(subdir)/$$i"; \
1300           else \
1301             echo "$$sdir/$$i"; \
1302           fi; \
1303         done >> $(top_builddir)/cscope.files
1304
1305 distclean-tags:
1306         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1307
1308 distdir: $(BUILT_SOURCES)
1309         $(MAKE) $(AM_MAKEFLAGS) distdir-am
1310
1311 distdir-am: $(DISTFILES)
1312         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1313         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1314         list='$(DISTFILES)'; \
1315           dist_files=`for file in $$list; do echo $$file; done | \
1316           sed -e "s|^$$srcdirstrip/||;t" \
1317               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1318         case $$dist_files in \
1319           */*) $(MKDIR_P) `echo "$$dist_files" | \
1320                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1321                            sort -u` ;; \
1322         esac; \
1323         for file in $$dist_files; do \
1324           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1325           if test -d $$d/$$file; then \
1326             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1327             if test -d "$(distdir)/$$file"; then \
1328               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1329             fi; \
1330             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1331               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1332               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1333             fi; \
1334             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1335           else \
1336             test -f "$(distdir)/$$file" \
1337             || cp -p $$d/$$file "$(distdir)/$$file" \
1338             || exit 1; \
1339           fi; \
1340         done
1341 check-am: all-am
1342         $(MAKE) $(AM_MAKEFLAGS) check-local
1343 check: $(BUILT_SOURCES)
1344         $(MAKE) $(AM_MAKEFLAGS) check-am
1345 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1346 installdirs:
1347         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciui_data_la_etcdir)" "$(DESTDIR)$(libsciui_data_la_rootdir)" "$(DESTDIR)$(libsciui_data_la_sci_gatewaydir)" "$(DESTDIR)$(libsciui_data_la_iconsdir)"; do \
1348           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1349         done
1350 install: $(BUILT_SOURCES)
1351         $(MAKE) $(AM_MAKEFLAGS) install-am
1352 install-exec: install-exec-am
1353 install-data: install-data-am
1354 uninstall: uninstall-am
1355
1356 install-am: all-am
1357         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1358
1359 installcheck: installcheck-am
1360 install-strip:
1361         if test -z '$(STRIP)'; then \
1362           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1363             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1364               install; \
1365         else \
1366           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1367             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1368             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1369         fi
1370 mostlyclean-generic:
1371
1372 clean-generic:
1373
1374 distclean-generic:
1375         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1376         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1377         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1378         -rm -f sci_gateway/cpp/$(am__dirstamp)
1379         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1380         -rm -f src/c/$(am__dirstamp)
1381         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1382         -rm -f src/cpp/$(am__dirstamp)
1383         -rm -f src/jni/$(DEPDIR)/$(am__dirstamp)
1384         -rm -f src/jni/$(am__dirstamp)
1385         -rm -f src/noui_data/$(DEPDIR)/$(am__dirstamp)
1386         -rm -f src/noui_data/$(am__dirstamp)
1387
1388 maintainer-clean-generic:
1389         @echo "This command is intended for maintainers to use"
1390         @echo "it deletes files that may require special tools to rebuild."
1391         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
1392 clean: clean-am
1393
1394 clean-am: clean-generic clean-libtool clean-local \
1395         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1396
1397 distclean: distclean-am
1398                 -rm -f sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
1399         -rm -f sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo
1400         -rm -f sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo
1401         -rm -f sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
1402         -rm -f sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
1403         -rm -f src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
1404         -rm -f src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo
1405         -rm -f src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
1406         -rm -f src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
1407         -rm -f src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
1408         -rm -f src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
1409         -rm -f src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
1410         -rm -f src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
1411         -rm -f Makefile
1412 distclean-am: clean-am distclean-compile distclean-generic \
1413         distclean-local distclean-tags
1414
1415 dvi: dvi-am
1416
1417 dvi-am:
1418
1419 html: html-am
1420
1421 html-am:
1422
1423 info: info-am
1424
1425 info-am:
1426
1427 install-data-am: install-data-local install-libsciui_data_la_etcDATA \
1428         install-libsciui_data_la_rootDATA \
1429         install-libsciui_data_la_sci_gatewayDATA \
1430         install-nobase_libsciui_data_la_iconsDATA
1431
1432 install-dvi: install-dvi-am
1433
1434 install-dvi-am:
1435
1436 install-exec-am: install-pkglibLTLIBRARIES
1437
1438 install-html: install-html-am
1439
1440 install-html-am: install-html-local
1441
1442 install-info: install-info-am
1443
1444 install-info-am:
1445
1446 install-man:
1447
1448 install-pdf: install-pdf-am
1449
1450 install-pdf-am:
1451
1452 install-ps: install-ps-am
1453
1454 install-ps-am:
1455
1456 installcheck-am:
1457
1458 maintainer-clean: maintainer-clean-am
1459                 -rm -f sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_browsevar.Plo
1460         -rm -f sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_closeEditvar.Plo
1461         -rm -f sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_editvar.Plo
1462         -rm -f sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_filebrowser.Plo
1463         -rm -f sci_gateway/cpp/$(DEPDIR)/libsciui_data_la-sci_updatebrowsevar.Plo
1464         -rm -f src/c/$(DEPDIR)/libsciui_data_algo_la-PutScilabVariable.Plo
1465         -rm -f src/cpp/$(DEPDIR)/libsciui_data_algo_la-BrowseVarManager.Plo
1466         -rm -f src/cpp/$(DEPDIR)/libsciui_data_algo_la-FileBrowserChDir.Plo
1467         -rm -f src/jni/$(DEPDIR)/libsciui_data_algo_la-BrowseVar.Plo
1468         -rm -f src/jni/$(DEPDIR)/libsciui_data_algo_la-EditVar.Plo
1469         -rm -f src/jni/$(DEPDIR)/libsciui_data_algo_la-FileBrowser.Plo
1470         -rm -f src/jni/$(DEPDIR)/libsciui_data_algo_la-ui_data_wrap.Plo
1471         -rm -f src/noui_data/$(DEPDIR)/libsciui_data_disable_la-noui_data.Plo
1472         -rm -f Makefile
1473 maintainer-clean-am: distclean-am maintainer-clean-generic
1474
1475 mostlyclean: mostlyclean-am
1476
1477 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1478         mostlyclean-libtool
1479
1480 pdf: pdf-am
1481
1482 pdf-am:
1483
1484 ps: ps-am
1485
1486 ps-am:
1487
1488 uninstall-am: uninstall-libsciui_data_la_etcDATA \
1489         uninstall-libsciui_data_la_rootDATA \
1490         uninstall-libsciui_data_la_sci_gatewayDATA \
1491         uninstall-nobase_libsciui_data_la_iconsDATA \
1492         uninstall-pkglibLTLIBRARIES
1493
1494 .MAKE: all check check-am install install-am install-strip
1495
1496 .PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
1497         check-am check-local clean clean-generic clean-libtool \
1498         clean-local clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES \
1499         cscopelist-am ctags ctags-am distclean distclean-compile \
1500         distclean-generic distclean-libtool distclean-local \
1501         distclean-tags distdir dvi dvi-am html html-am info info-am \
1502         install install-am install-data install-data-am \
1503         install-data-local install-dvi install-dvi-am install-exec \
1504         install-exec-am install-html install-html-am \
1505         install-html-local install-info install-info-am \
1506         install-libsciui_data_la_etcDATA \
1507         install-libsciui_data_la_rootDATA \
1508         install-libsciui_data_la_sci_gatewayDATA install-man \
1509         install-nobase_libsciui_data_la_iconsDATA install-pdf \
1510         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1511         install-ps-am install-strip installcheck installcheck-am \
1512         installdirs maintainer-clean maintainer-clean-generic \
1513         mostlyclean mostlyclean-compile mostlyclean-generic \
1514         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1515         uninstall-am uninstall-libsciui_data_la_etcDATA \
1516         uninstall-libsciui_data_la_rootDATA \
1517         uninstall-libsciui_data_la_sci_gatewayDATA \
1518         uninstall-nobase_libsciui_data_la_iconsDATA \
1519         uninstall-pkglibLTLIBRARIES
1520
1521 .PRECIOUS: Makefile
1522
1523
1524 # This target enables tests for Scilab
1525 check-local: $(top_builddir)/scilab-bin test
1526         if test -d $(mydatadir)/tests; then \
1527           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1528         fi
1529 check-code:
1530         if test -f build.xml; then \
1531                 $(ANT) checkstyle; \
1532         fi
1533         if test -x "$(SPLINT)"; then \
1534                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1535         fi
1536 @NEED_JAVA_TRUE@java:
1537 # Some configurations needs to export JAVA_HOME in the current env
1538 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1539 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1540 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1541 @NEED_JAVA_TRUE@                $(ANT); \
1542 @NEED_JAVA_TRUE@        fi
1543
1544 @NEED_JAVA_TRUE@clean-java:
1545 # Some configurations needs to export JAVA_HOME in the current env
1546 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1547 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1548 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1549 @NEED_JAVA_TRUE@                $(ANT) clean; \
1550 @NEED_JAVA_TRUE@        fi;
1551
1552 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1553 # We call the target swig-build on the variable SWIG_WRAPPERS
1554
1555 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1556 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1557 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1558 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1559 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1560 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1561 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1562 @SWIG_TRUE@             done; \
1563 @SWIG_TRUE@     fi
1564
1565 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1566 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1567 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1568 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1569 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1570 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1571 @SWIG_TRUE@             done; \
1572 @SWIG_TRUE@     fi
1573
1574 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1575 # We call the target swig-build on the variable SWIG_WRAPPERS
1576
1577 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1578 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1579 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1580 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1581 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1582 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1583 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1584 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1585 @GIWS_TRUE@                     else \
1586 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1587 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1588 @GIWS_TRUE@                     fi \
1589 @GIWS_TRUE@             done; \
1590 @GIWS_TRUE@     fi
1591
1592 @GIWS_TRUE@giws-exception:
1593 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1594 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1595 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1596
1597 macros:
1598         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1599                 echo "Error : Cannot build $< : Scilab has not been built"; \
1600         else \
1601                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1602         fi)
1603
1604 # Removes the macros
1605 clean-macros:
1606 # Removes macros (*.bin generated from .sci)
1607         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1608                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1609                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1610         done
1611
1612 test:
1613 # More tests could be added here
1614         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1615         if test -f build.xml -a $$USEANT -eq 1; then \
1616                 $(ANT) test; \
1617         fi
1618
1619 all-local: $(TARGETS_ALL)
1620
1621 .sci.bin:
1622         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1623         echo "Error : Cannot build $< : Scilab has not been build"; \
1624         else \
1625         echo "Creating $@"; \
1626         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1627         fi )
1628
1629 install-html-local:
1630
1631 install-data-local-local:
1632 # Mainly for javasci
1633         @if test -d $(srcdir)/javadoc; then \
1634                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1635         fi
1636 # If the user wants the help sources to be installed
1637 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1638 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1639 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1640 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1641 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1642 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1643 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1644 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1645 @INSTALL_HELP_XML_TRUE@           done ; \
1646 @INSTALL_HELP_XML_TRUE@         fi; \
1647 @INSTALL_HELP_XML_TRUE@  fi; \
1648 @INSTALL_HELP_XML_TRUE@ done; \
1649 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1650 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1651 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1652 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1653 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1654 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1655 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1656 @INSTALL_HELP_XML_TRUE@           done ; \
1657 @INSTALL_HELP_XML_TRUE@         fi; \
1658 @INSTALL_HELP_XML_TRUE@ fi
1659 install-data-local:
1660 # Install the tests
1661         @echo "-------- Install tests (if any) --------"; \
1662         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1663           if test -d $(srcdir)/$$dir/; then \
1664             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1665                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1666                     if test -d "$(srcdir)/$$dir/$$file"; then \
1667                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1668                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1669                     else \
1670                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1671                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1672                     fi \
1673                   done; \
1674           fi; \
1675         done
1676 # Install the help chapter
1677         @echo "-------- Install the help chapter (if any) --------"; \
1678         for lang in $(HELP_CHAPTERLANG); do \
1679                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1680                 if test -f $$HELPFILE; then \
1681                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1682                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1683                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1684                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1685                 fi; \
1686         done
1687 # Install the demos & examples
1688         @echo "-------- Install demos & examples (if any) --------"; \
1689         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1690           if test -d $(srcdir)/$$dir/; then \
1691             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1692                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1693                     if test -d "$(srcdir)/$$dir/$$file"; then \
1694                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1695                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1696                     else \
1697                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1698                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1699                     fi \
1700                   done; \
1701           fi; \
1702         done
1703 # Install the macros
1704         @echo "-------- Install macros (if any) --------"; \
1705         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1706           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1707                 if test -d $(srcdir)/$$dir/; then \
1708                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1709                         if test -n "$(MACROSSPECIALEXT)"; then \
1710                                 specialExtDir=""; \
1711                                 for specialExt in $(MACROSSPECIALEXT); do \
1712                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1713                                 done; \
1714                                 FILELIST="$$FILELIST $$specialExtDir"; \
1715                         fi; \
1716                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1717                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1718                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1719                   done; \
1720                 fi; \
1721         done
1722 # Install java files (.jar)
1723         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1724         echo "-------- Install jar files --------"; \
1725     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1726           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1727                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1728                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1729           done ; \
1730         fi
1731
1732 ########### CLEAN ###################
1733 # Clean help (generated automatically by Scilab)
1734 # It used to clean the macro (clean-macros) but this was causing
1735 # make clean && make to fail Scilab startup
1736 @NEED_JAVA_TRUE@clean-local: clean-java
1737 @NEED_JAVA_FALSE@clean-local:
1738
1739 distclean-local:
1740         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1741
1742 .PHONY: macros java swig giws
1743
1744 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1745 # Otherwise a system limit (for SysV at least) may be exceeded.
1746 .NOEXPORT: